#include<bits/stdc++.h>
#define ll long long
#define pb push_back
#define ff first
#define ss second
#define mp make_pair
using namespace std;
ll n,sum;
double res;
pair<double,ll> p[200005];
int main () {
cin.tie(NULL);
ios_base::sync_with_stdio(false);
cin>>n;
for(int i=1;i<=n;i++){
    cin>>p[i].ss>>p[i].ff;
}
sort(p+1,p+n+1);
for(int i=n;i>=1;i--){
    sum+=p[i].ss;
    res=max(res,sum*(p[i].ff/100.0));
}
cout<<setprecision(4)<<fixed<<res<<endl;
return 0;
}